import react from "react";
import { useState, useEffect } from "react";
import { Map, Marker } from "pigeon-maps"
import { Geolocation } from "@awesome-cordova-plugins/geolocation";

const LiveMap: react.FC = () => {
  const initialPosition: [number, number] = [44.73574, 6.18981];
  const [currentPosition, setCurrentposition] = useState(initialPosition);

  useEffect(()=>{
    Geolocation.getCurrentPosition().then((position) =>
    {
      setCurrentposition([position.coords.latitude, position.coords.longitude]);
     }
  );

  }, [])
 
  return (
    <Map center={currentPosition} defaultZoom={11}>
      <Marker width={50} anchor={currentPosition} />
    </Map>
   );
};

export default LiveMap;
